/*
 * 3D物体の描画
 */
void
putobject()
	{
	int	i;
	int	speedlevel;
	int	dat[13][2]={ 1,63,  1,54,  2,46,  5,39,  8,32, 13,25, 19,19,
		25,13, 32, 8, 39, 5, 46, 2, 54, 1, 63, 1 };

	// 自機
	if ( ship.flag != 0 && (mutekicount == 0 || animecount%2 == 0) )
		{
		AGLFixPutObj(&os);
		}
	// 地面
	for ( i = 0 ; i < MAXJIMEN ; i++ )
		{
		if ( jimen[i].flag ) AGLFixPutObj(&oj[i]);
		}
	// 敵
	for ( i = 0 ; i < MAXENEMY ; i++ )
		{
		if ( enemy[i].flag ) AGLFixPutObj(&oe[i]);
		}
	// 自弾
	for ( i = 0 ; i < MAXMSL ; i++ )
		{
		if ( msl[i].flag ) AGLFixPutObj(&om[i]);
		}
	// 敵弾
	for ( i = 0 ; i < MAXEMSL ; i++ )
		{
		if ( emsl[i].flag ) AGLFixPutObj(&oem[i]);
		}
	// 爆発
	for ( i = 0 ; i < MAXBAKU ; i++ )
		{
		if ( baku[i].flag ) AGLFixPutObj(&ob[i]);
		}

	DspWait();
	}

